version: "3.3"

services:
  wishurgift-web:
    container_name: wishurgift-web
    build: ./web
    ports:
      - "8080:8080"
    volumes:
      - ./web/apps:/usr/local/tomee/webapps
      - ./web/shared:/usr/local/tomee/shared
      - ./web/lib/postgresql-42.2.9.jar:/usr/local/tomee/lib/postgresql-42.2.9.jar
    links:
      - wishurgift-db

  wishurgift-db:
    container_name: wishurgift-db
    build: ./db
    ports:
      - "5432:5432"
    volumes:
      - ./db/data/postgresql:/var/lib/postgresql
      - ./db/data/postgresql_data:/var/lib/postgresql/data
